Child pages
  • Errata - 3.1.1 Running Discoveries on Centos (PHP < 5.5)

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

If the version of PHP is < 5.5 then you must patch the following three files to ensure your discoveries will run. These changes have been incorporated into the next release.


  1. EDIT /usr/local/open-audit/code_igniter/application/helpers/discovery_helper.php
    Change line 1150 from:
Code Block
if (php_uname('s') == 'Windows NT' and exec('whoami') == 'nt authority\system' and !empty($this->config->item('discovery_linux_script_directory')) and $this->config->item('discovery_linux_script_directory') == 'y') {

...

Code Block
if (php_uname('s') == 'Windows NT' and exec('whoami') == 'nt authority\system' and !empty($this->config->config['discovery_linux_script_directory']) and $this->config->config['discovery_linux_script_directory'] == 'y') {


2. EDIT /usr/local/open-audit/code_igniter/application/controllers/include_input_discoveries.php
Change line 1162 from:

...

Code Block
if (php_uname('s') == 'Windows NT' and exec('whoami') == 'nt authority\system' and !empty($this->config->config['discovery_linux_script_directory']) and $this->config->config['discovery_linux_script_directory'] == 'y') {



3. EDIT /usr/local/open-audit/code_igniter/application/models/m_scripts.php
Change line 219 from:

...